<?php

//////////////////////////////////////////////////////  SERVIDOR GMAIL ////////////////////////////////////////////////////////////////////

// para utilizar correo GMAIL Debe realizar los siguientes pasos

// 1- habilitar en xampp/php/php/php.ini  la siguiente  extension=php_openssl.dll  
// 2- ir gmail  
// mi cuenta
// Acceso y seguridad 
// al final habiitamos la opcion   Permitir el acceso de aplicaciones menos seguras: SÍ


// servidor por defecto = smtp.gmail.com 
// puerto por defecto = 465
// tipo seguridas = ssl 

////////////////////////////////////////////////////////  SERVIDOR HOTMAIL   //////////////////////////////////////////////////////

// habilitar en opciones, correo, POP E IMAP   permitir que los dispositivos y las aplicaciones utilicen POP

// servidor por defecto = smtp-mail.outlook.com	
// puerto por defecto = 587
// tipo seguridas = tls


////////////////////////////////////////////////////////  SERVIDOR LOCAL   //////////////////////////////////////////////////////

// servidor por defecto = server.servycompu.com 
// puerto por defecto = 587
// tipo seguridas = ninguna

echo $codfactura=$_GET["codfactura"];

include ("../conexion.php");
require_once('../Comprobantes_fac/class.phpmailer.php');

		
	$parametros = "SELECT * FROM web_0000 ";
	$result_parametros = $mysqli->query($parametros);
	$row_para = $result_parametros->fetch_array();
	echo "<BR>"; 
	echo   $nomcom =  $row_para["NOMCOM"];
	echo "<BR>";
    echo	   $clacor =  $row_para["CLACOR"];
	echo "<BR>";
	echo   $sercor =  $row_para["SERCOR"];
	echo "<BR>";
	echo    $coremp =  $row_para["COREMP"];
	echo "<BR>";
	echo    $segcor =  $row_para["SEGCOR"];
	echo "<BR>";
	echo   $puecor =  $row_para["PUECOR"];
	echo "<BR>";

	$proforma= "SELECT cdgcli,dsccli, numfactura, corcli FROM proformas WHERE codfactura='$codfactura' ";
	$result_proforma = $mysqli->query($proforma);
	$row_proforma = $result_proforma->fetch_array();
	
	$cdgcli    =  $row_proforma["cdgcli"];
	echo	   $dsccli    =  $row_proforma["dsccli"];
	echo "<BR>";
	$numproforma   =  $row_proforma["numfactura"];
	//echo	   $cdgclave  =  $row_factura["cdgclave"];
	
	$corcli = $row_proforma["corcli"];
	
	/*
  	   $consulta = "SELECT  corcli, corcli2 FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $corcli = $row["corcli"];
	   $corcli2 = $row["corcli2"];
*/

     
     /////////////////////////////////////////////////  INICIO DEL CORREO //////////////////////////////////////////

    $mail = new PHPMailer;
	//	$mail->SetLanguage( 'en', 'phpmailer/language/' );
    $mail->SMTPDebug = 0;
    $mail->isSMTP();
                     
    $mail->Host = $sercor;
    $mail->SMTPAuth = true;
    $mail->Username = $coremp;
    $mail->Password = $clacor;
    $mail->SMTPSecure = $segcor;
    $mail->Port = $puecor;
    $mail->From = $coremp;  
    $mail->FromName = $nomcom;
    $mail->addAddress( $corcli, $dsccli);
    $mail->isHTML(true);

    $mail->Subject = 'Proforma  #'.$numproforma;
	$mail->AltBody = 'Proforma '; // optional - MsgHTML will create an alternate automatically  
	$mail->MsgHTML('Saludos ' .$dsccli .' Adjunto encontrara su Proforma, quedamos a sus ordenes');
	// $mail->MsgHTML(file_get_contents('contents.html'));
	 
	 
	// $archivo1 = '../FE/tiqueteElectronico/crt/comprobantes/'.$numcomp.'.xml';
	 $archivo2 = '../FE/tiqueteElectronico/crt/facturas_pdf/PRO_'.$numproforma.'.pdf';
	// $archivo3 = '../FE/tiqueteElectronico/crt/mensajes/mns-'.$cdgclave.'.xml';  

    // $mail->AddAttachment($archivo1); 
	 $mail->AddAttachment($archivo2); 
  
	//$mail->AddAttachment('../FE/tiqueteElectronico/crt/facturas_pdf/FAC'.$numcomp.'.pdf');  
	//$mail->AddAttachment('../FE/tiqueteElectronico/crt/mensajes/mns-'.$cdgclave.'.xml');  
	     
	//+
	//$mail->AddAttachment('../fpdf/XML.png'); 
	
	// $mail->AddAttachment($archivo1);
	 $mail->AddAttachment($archivo2) ; 
	// $mail->AddAttachment($archivo3) ; 

	
		if (!$mail->send()) {
			echo "Por favor Verifique el error el correo no pudo ser enviado : " . $mail->ErrorInfo;
		}
		else {
		
		//	$sel_envio="UPDATE facturas SET estenvio=1 WHERE cdgclave = '$cdgclave'  "; //// se suma el consecutivo a contado numfaccre
	    //	$mysqli->query($sel_envio);
			
			   echo 'Correo Fue enviado de Forma Exitosa ';
  
	
		}
		
	
	/*
	
	if ( $corcli2 <> "") {
	
	  /////////////////////////////////////////////////  INICIO DEL SEGUNDO  CORREO //////////////////////////////////////////

    $mail = new PHPMailer;
    $mail->SMTPDebug = 0;
    $mail->isSMTP();
                     
    $mail->Host = $sercor;
    $mail->SMTPAuth = true;
    $mail->Username = $coremp;
    $mail->Password = $clacor;
    $mail->SMTPSecure = $segcor;
    $mail->Port = $puecor;
    $mail->From = $coremp;  
    $mail->FromName = $nomcom;
    $mail->addAddress( $corcli2, $dsccli);
    $mail->isHTML(true);

    $mail->Subject = 'Factura Electronica '.$nomcom;
	$mail->AltBody = 'Factura Electronica'; // optional - MsgHTML will create an alternate automatically  
	$mail->MsgHTML('Saludos ' .$dsccli .' Adjunto encontrara su Factura Electronica, Gracias por su Compra ');
	// $mail->MsgHTML(file_get_contents('contents.html'));
	 
	 
	 $archivo1 = '../FE/tiqueteElectronico/crt/comprobantes/'.$numcomp.'.xml';
	 $archivo2 = '../FE/tiqueteElectronico/crt/facturas_pdf/FAC'.$numcomp.'.pdf';
	 $archivo3 = '../FE/tiqueteElectronico/crt/mensajes/mns-'.$cdgclave.'.xml';  

    // $mail->AddAttachment($archivo1); 
	// $mail->AddAttachment($archivo2); 
  
	//$mail->AddAttachment('../FE/tiqueteElectronico/crt/facturas_pdf/FAC'.$numcomp.'.pdf');  
	//$mail->AddAttachment('../FE/tiqueteElectronico/crt/mensajes/mns-'.$cdgclave.'.xml');  
	     
	//+
	//$mail->AddAttachment('../fpdf/XML.png'); 
	
	 $mail->AddAttachment($archivo1);
	 $mail->AddAttachment($archivo2) ; 
	 $mail->AddAttachment($archivo3) ; 

	
		if (!$mail->send()) {
			echo "Por favor Verifique el error el SEGUNDO CORREO no pudo ser enviado : " . $mail->ErrorInfo;
		}
		else {
		
			   echo ' SEGUNDO CORREO Fue enviado de Forma Exitosa ';

		}
	
	
	
	}
*/
		
?>

</body>
</html>
